# MapApi server

This simple REST server provide a route to save an Esri ASCII map and a list of aruco tag coordinate to local files.

## Howto

Run this with uvicorn :

```shell
    uvicorn server:app
```

By default, the server will run on port 8000.
Please refer to [uvicorn documentation](https://www.uvicorn.org/) for additional parameters

## Configuration

By default, the map and the aruco list will be saved in a `./temp/` directory.

This can be overridden by setting the "ESRI_OUTPUT_DIRECTORY" environment variable or by modifying OUTPUT_DIR in `server.py`  

## API Documentation

API Doc is available on SERVER_URL/docs [http://localhost:8000/docs](http://localhost:8000/docs)